Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.focus
Class FocusRendererUtils

    java.lang.Object
      org.richfaces.renderkit.focus.FocusRendererUtils

    public final class FocusRendererUtils

extends Object

Constructor Summary
`FocusRendererUtils()`

Method Summary
`static String` | `getFirstFormFocusRendered(javax.faces.context.FacesContext context)` Determines whether there is form which has already focus rendered
`static boolean` | `hasFormFocus(javax.faces.component.UIForm form)` Determines if given form contains focus
`static boolean` | `hasViewFocus(javax.faces.component.UIViewRoot viewRoot)` Determines whether view focus is present based on context attribute
`static boolean` | `isFocusEnforced(javax.faces.context.FacesContext context)` Determines if focus has been enforced using `FocusManager`.
`static void` | `markFirstFormFocusRendered(javax.faces.context.FacesContext context, javax.faces.component.UIComponent focusComponent)` Marks context with information that one form has already focus applied
`static void` | `markFormWithFocus(javax.faces.component.UIForm form)` Marks given form that it contains focus
`static void` | `markViewWithFocus(javax.faces.component.UIViewRoot viewRoot)` Marks context of `UIViewRoot` with information that view focus is present

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FocusRendererUtils

    public FocusRendererUtils()

Method Detail

### markViewWithFocus

    public static void markViewWithFocus(javax.faces.component.UIViewRoot viewRoot)

  Marks context of `UIViewRoot` with information that view focus is present

### hasViewFocus

    public static boolean hasViewFocus(javax.faces.component.UIViewRoot viewRoot)

  Determines whether view focus is present based on context attribute

### markFormWithFocus

    public static void markFormWithFocus(javax.faces.component.UIForm form)

  Marks given form that it contains focus

### hasFormFocus

    public static boolean hasFormFocus(javax.faces.component.UIForm form)

  Determines if given form contains focus

### markFirstFormFocusRendered

    public static void markFirstFormFocusRendered(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent focusComponent)

  Marks context with information that one form has already focus applied

### getFirstFormFocusRendered

    public static String getFirstFormFocusRendered(javax.faces.context.FacesContext context)

  Determines whether there is form which has already focus rendered

### isFocusEnforced

    public static boolean isFocusEnforced(javax.faces.context.FacesContext context)

  Determines if focus has been enforced using `FocusManager`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.